<?php
/**
 * Health Coach Services Theme Customizer
 *
 * @package Health Coach Services
 */

function Health_Coach_Services_Customize_register( $wp_customize ) {

	load_template( trailingslashit( get_template_directory() ) . 'revolution/inc/fontawesome-change.php' );

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'Health_Coach_Services_Customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'Health_Coach_Services_Customize_partial_blogdescription',
			)
		);
	}

	/*
    * Theme Options Panel
    */
	$wp_customize->add_panel('health_coach_services_panel', array(
		'priority' => 25,
		'capability' => 'edit_theme_options',
		'title' => __('Health Coach Theme Options', 'health-coach-services'),
	));

	/*
	* Customizer main header section
	*/

	$wp_customize->add_setting(
		'health_coach_services_site_title_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_site_title_text',
		array(
			'label'       => __('Enable Title', 'health-coach-services'),
			'description' => __('Enable or Disable Title from the site', 'health-coach-services'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'health_coach_services_site_tagline_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_site_tagline_text',
		array(
			'label'       => __('Enable Tagline', 'health-coach-services'),
			'description' => __('Enable or Disable Tagline from the site', 'health-coach-services'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

		$wp_customize->add_setting(
		'health_coach_services_logo_width',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '150',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_logo_width',
		array(
			'label'       => __('Logo Width in PX', 'health-coach-services'),
			'section'     => 'title_tagline',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 100,
	             'max' => 300,
	             'step' => 1,
	         ),
		)
	);

	/* WooCommerce custom settings */

	$wp_customize->add_section('woocommerce_custom_settings', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('WooCommerce Custom Settings', 'health-coach-services'),
		'panel'       => 'woocommerce',
	));

	$wp_customize->add_setting(
		'health_coach_services_per_columns',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_per_columns',
		array(
			'label'       => __('Product Per Single Row', 'health-coach-services'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
				'min' => 1,
				'max' => 4,
				'step' => 1,
			),
		)
	);

	$wp_customize->add_setting(
		'health_coach_services_product_per_page',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '6',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_product_per_page',
		array(
			'label'       => __('Product Per One Page', 'health-coach-services'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
				'min' => 1,
				'max' => 12,
				'step' => 1,
			),
		)
	);

	/*Related Products Enable Option*/
	$wp_customize->add_setting(
		'health_coach_services_enable_related_product',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_enable_related_product',
		array(
			'label'       => __('Enable Related Product', 'health-coach-services'),
			'description' => __('Checked to show Related Product', 'health-coach-services'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number',
		array(
			'label'       => __('Related Product Count', 'health-coach-services'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
				'min' => 1,
				'max' => 20,
				'step' => 1,
			),
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number_per_row',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number_per_row',
		array(
			'label'       => __('Related Product Per Row', 'health-coach-services'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
				'min' => 1,
				'max' => 4,
				'step' => 1,
			),
		)
	);

	/*Archive Product layout*/
	$wp_customize->add_setting('health_coach_services_archive_product_layout',array(
		'default' => 'layout-1',
		'sanitize_callback' => 'health_coach_services_sanitize_choices'
	));
	$wp_customize->add_control('health_coach_services_archive_product_layout',array(
		'type' => 'select',
		'label' => esc_html__('Archive Product Layout','health-coach-services'),
		'section' => 'woocommerce_custom_settings',
		'choices' => array(
			'layout-1' => esc_html__('Sidebar On Right','health-coach-services'),
			'layout-2' => esc_html__('Sidebar On Left','health-coach-services'),
			'layout-3' => esc_html__('Full Width Layout','health-coach-services')
		),
	) );

	/*Single Product layout*/
	$wp_customize->add_setting('health_coach_services_single_product_layout',array(
		'default' => 'layout-1',
		'sanitize_callback' => 'health_coach_services_sanitize_choices'
	));
	$wp_customize->add_control('health_coach_services_single_product_layout',array(
		'type' => 'select',
		'label' => esc_html__('Single Product Layout','health-coach-services'),
		'section' => 'woocommerce_custom_settings',
		'choices' => array(
			'layout-1' => esc_html__('Sidebar On Right','health-coach-services'),
			'layout-2' => esc_html__('Sidebar On Left','health-coach-services'),
			'layout-3' => esc_html__('Full Width Layout','health-coach-services')
		),
	) );

	$wp_customize->add_setting('health_coach_services_woocommerce_product_sale',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'Right',
		'sanitize_callback' => 'health_coach_services_sanitize_choices'
	));
	$wp_customize->add_control('health_coach_services_woocommerce_product_sale',array(
		'label'       => esc_html__( 'Woocommerce Product Sale Positions','health-coach-services' ),
		'type' => 'select',
		'section' => 'woocommerce_custom_settings',
		'choices' => array(
			'Right' => __('Right','health-coach-services'),
			'Left' => __('Left','health-coach-services'),
			'Center' => __('Center','health-coach-services')
		),
	) );

	/*Additional Options*/
	$wp_customize->add_section('health_coach_services_additional_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Additional Options', 'health-coach-services'),
		'panel'       => 'health_coach_services_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'health_coach_services_enable_sticky_header',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => false,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_enable_sticky_header',
		array(
			'label'       => __('Enable Sticky Header', 'health-coach-services'),
			'description' => __('Checked to enable sticky header', 'health-coach-services'),
			'section'     => 'health_coach_services_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'health_coach_services_enable_preloader',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_enable_preloader',
		array(
			'label'       => __('Enable Preloader', 'health-coach-services'),
			'description' => __('Checked to show preloader', 'health-coach-services'),
			'section'     => 'health_coach_services_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Breadcrumbs Enable Option*/
	$wp_customize->add_setting(
		'health_coach_services_enable_breadcrumbs',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_enable_breadcrumbs',
		array(
			'label'       => __('Enable Breadcrumbs', 'health-coach-services'),
			'description' => __('Checked to show Breadcrumbs', 'health-coach-services'),
			'section'     => 'health_coach_services_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Enable Option*/
	$wp_customize->add_setting(
		'health_coach_services_enable_pagination',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_enable_pagination',
		array(
			'label'       => __('Enable Pagination', 'health-coach-services'),
			'description' => __('Checked to show Pagination', 'health-coach-services'),
			'section'     => 'health_coach_services_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Select Type Option*/
	$wp_customize->add_setting('health_coach_services_pagination_type',array(
        'default' => 'type-1',
        'sanitize_callback' => 'health_coach_services_sanitize_choices'
	));
	$wp_customize->add_control('health_coach_services_pagination_type',array(
        'type' => 'select',
        'label' => esc_html__('Select Pagination Type','health-coach-services'),
        'section' => 'health_coach_services_additional_section',
        'choices' => array(
            'type-1' => esc_html__('Type 1','health-coach-services'),
            'type-2' => esc_html__('Type 2','health-coach-services'),
        ),
	) );

	/*Post layout*/
	$wp_customize->add_setting('health_coach_services_archive_layout',array(
		'default' => 'layout-1',
		'sanitize_callback' => 'health_coach_services_sanitize_choices'
	));
	$wp_customize->add_control('health_coach_services_archive_layout',array(
		'type' => 'select',
		'label' => esc_html__('Posts Layout','health-coach-services'),
		'section' => 'health_coach_services_additional_section',
		'choices' => array(
			'layout-1' => esc_html__('Sidebar On Right','health-coach-services'),
			'layout-2' => esc_html__('Sidebar On Left','health-coach-services'),
			'layout-3' => esc_html__('Full Width Layout','health-coach-services')
		),
	) );

	/*single post layout*/
	$wp_customize->add_setting('health_coach_services_post_layout',array(
		'default' => 'layout-1',
		'sanitize_callback' => 'health_coach_services_sanitize_choices'
	));
	$wp_customize->add_control('health_coach_services_post_layout',array(
		'type' => 'select',
		'label' => esc_html__('Single Post Layout','health-coach-services'),
		'section' => 'health_coach_services_additional_section',
		'choices' => array(
			'layout-1' => esc_html__('Sidebar On Right','health-coach-services'),
			'layout-2' => esc_html__('Sidebar On Left','health-coach-services'),
			'layout-3' => esc_html__('Full Width Layout','health-coach-services')
		),
	) );

	/*single page layout*/
	$wp_customize->add_setting('health_coach_services_page_layout',array(
		'default' => 'layout-1',
		'sanitize_callback' => 'health_coach_services_sanitize_choices'
	));
	$wp_customize->add_control('health_coach_services_page_layout',array(
		'type' => 'select',
		'label' => esc_html__('Single Page Layout','health-coach-services'),
		'section' => 'health_coach_services_additional_section',
		'choices' => array(
			'layout-1' => esc_html__('Sidebar On Right','health-coach-services'),
			'layout-2' => esc_html__('Sidebar On Left','health-coach-services'),
			'layout-3' => esc_html__('Full Width Layout','health-coach-services')
		),
	) );

	/*Archive Post Options*/
	$wp_customize->add_section('health_coach_services_blog_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Blog Page Options', 'health-coach-services'),
		'panel'       => 'health_coach_services_panel',
	));

	$wp_customize->add_setting('health_coach_services_enable_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
	));
	$wp_customize->add_control('health_coach_services_enable_blog_post_title',array(
		'label'       => __('Enable Blog Post Title', 'health-coach-services'),
		'description' => __('Checked To Show Blog Post Title', 'health-coach-services'),
		'section'     => 'health_coach_services_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('health_coach_services_enable_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
	));
	$wp_customize->add_control('health_coach_services_enable_blog_post_meta',array(
		'label'       => __('Enable Blog Post Meta', 'health-coach-services'),
		'description' => __('Checked To Show Blog Post Meta Feilds', 'health-coach-services'),
		'section'     => 'health_coach_services_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('health_coach_services_enable_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
	));
	$wp_customize->add_control('health_coach_services_enable_blog_post_tags',array(
		'label'       => __('Enable Blog Post Tags', 'health-coach-services'),
		'description' => __('Checked To Show Blog Post Tags', 'health-coach-services'),
		'section'     => 'health_coach_services_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('health_coach_services_enable_blog_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
	));
	$wp_customize->add_control('health_coach_services_enable_blog_post_image',array(
		'label'       => __('Enable Blog Post Image', 'health-coach-services'),
		'description' => __('Checked To Show Blog Post Image', 'health-coach-services'),
		'section'     => 'health_coach_services_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('health_coach_services_enable_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
	));
	$wp_customize->add_control('health_coach_services_enable_blog_post_content',array(
		'label'       => __('Enable Blog Post Content', 'health-coach-services'),
		'description' => __('Checked To Show Blog Post Content', 'health-coach-services'),
		'section'     => 'health_coach_services_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('health_coach_services_enable_blog_post_button',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
	));
	$wp_customize->add_control('health_coach_services_enable_blog_post_button',array(
		'label'       => __('Enable Blog Post Read More Button', 'health-coach-services'),
		'description' => __('Checked To Show Blog Post Read More Button', 'health-coach-services'),
		'section'     => 'health_coach_services_blog_post_section',
		'type'        => 'checkbox',
	));

	/*Blog post Content layout*/
	$wp_customize->add_setting('health_coach_services_blog_Post_content_layout',array(
		'default' => 'Left',
		'sanitize_callback' => 'health_coach_services_sanitize_choices'
	));
	$wp_customize->add_control('health_coach_services_blog_Post_content_layout',array(
		'type' => 'select',
		'label' => esc_html__('Blog Post Content Layout','health-coach-services'),
		'section' => 'health_coach_services_blog_post_section',
		'choices' => array(
			'Left' => esc_html__('Left','health-coach-services'),
			'Center' => esc_html__('Center','health-coach-services'),
			'Right' => esc_html__('Right','health-coach-services')
		),
	) );

	/*Excerpt*/
	$wp_customize->add_setting(
		'health_coach_services_excerpt_limit',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '25',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_excerpt_limit',
		array(
			'label'       => __('Excerpt Limit', 'health-coach-services'),
			'section'     => 'health_coach_services_blog_post_section',
			'type'        => 'number',
			'input_attrs' => array(
				'min' => 2,
				'max' => 50,
				'step' => 2,
			),
		)
	);

	/*Archive Button Text*/
	$wp_customize->add_setting(
		'health_coach_services_read_more_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Continue Reading....',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_read_more_text',
		array(
			'label'       => __('Edit Button Text ', 'health-coach-services'),
			'section'     => 'health_coach_services_blog_post_section',
			'type'        => 'text',
		)
	);

	/*Single Post Options*/
	$wp_customize->add_section('health_coach_services_single_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Single Post Options', 'health-coach-services'),
		'panel'       => 'health_coach_services_panel',
	));

	$wp_customize->add_setting('health_coach_services_enable_single_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
	));
	$wp_customize->add_control('health_coach_services_enable_single_blog_post_title',array(
		'label'       => __('Enable Single Post Title', 'health-coach-services'),
		'description' => __('Checked To Show Single Blog Post Title', 'health-coach-services'),
		'section'     => 'health_coach_services_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('health_coach_services_enable_single_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
	));
	$wp_customize->add_control('health_coach_services_enable_single_blog_post_meta',array(
		'label'       => __('Enable Single Post Meta', 'health-coach-services'),
		'description' => __('Checked To Show Single Blog Post Meta Feilds', 'health-coach-services'),
		'section'     => 'health_coach_services_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('health_coach_services_enable_single_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
	));
	$wp_customize->add_control('health_coach_services_enable_single_blog_post_tags',array(
		'label'       => __('Enable Single Post Tags', 'health-coach-services'),
		'description' => __('Checked To Show Single Blog Post Tags', 'health-coach-services'),
		'section'     => 'health_coach_services_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('health_coach_services_enable_single_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
	));
	$wp_customize->add_control('health_coach_services_enable_single_post_image',array(
		'label'       => __('Enable Single Post Image', 'health-coach-services'),
		'description' => __('Checked To Show Single Post Image', 'health-coach-services'),
		'section'     => 'health_coach_services_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('health_coach_services_enable_single_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
	));
	$wp_customize->add_control('health_coach_services_enable_single_blog_post_content',array(
		'label'       => __('Enable Single Post Content', 'health-coach-services'),
		'description' => __('Checked To Show Single Blog Post Content', 'health-coach-services'),
		'section'     => 'health_coach_services_single_post_section',
		'type'        => 'checkbox',
	));

	/*Related Post Enable Option*/
	$wp_customize->add_setting(
		'health_coach_services_enable_related_post',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_enable_related_post',
		array(
			'label'       => __('Enable Related Post', 'health-coach-services'),
			'description' => __('Checked to show Related Post', 'health-coach-services'),
			'section'     => 'health_coach_services_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*Related post Edit Text*/
	$wp_customize->add_setting(
		'health_coach_services_related_post_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Related Post',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_related_post_text',
		array(
			'label'       => __('Edit Related Post Text ', 'health-coach-services'),
			'section'     => 'health_coach_services_single_post_section',
			'type'        => 'text',
		)
	);	

	/*Related Post Per Page*/
	$wp_customize->add_setting(
		'health_coach_services_related_post_count',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_related_post_count',
		array(
			'label'       => __('Related Post Count', 'health-coach-services'),
			'section'     => 'health_coach_services_single_post_section',
			'type'        => 'number',
			'input_attrs' => array(
				'min' => 1,
				'max' => 9,
				'step' => 1,
			),
		)
	);

	/* Comment Section Enable Option*/
	$wp_customize->add_setting(
		'health_coach_services_enable_comment_section',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_enable_comment_section',
		array(
			'label'       => __('Enable Comment Section', 'health-coach-services'),
			'description' => __('Checked to show Comment Section', 'health-coach-services'),
			'section'     => 'health_coach_services_single_post_section',
			'type'        => 'checkbox',
		)
	);

		/*
	* Customizer Global COlor
	*/

	/*Global Color Options*/
	$wp_customize->add_section('health_coach_services_global_color_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Global Color Options', 'health-coach-services'),
		'panel'       => 'health_coach_services_panel',
	));

	$wp_customize->add_setting( 'health_coach_services_primary_color',
		array(
		'default'           => '#055346',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'health_coach_services_primary_color',
		array(
			'label'      => esc_html__( 'Primary Color', 'health-coach-services' ),
			'section'    => 'health_coach_services_global_color_section',
			'settings'   => 'health_coach_services_primary_color',
		) ) 
	);

	$wp_customize->add_setting( 'health_coach_services_secondary_color',
		array(
		'default'           => '#000',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'health_coach_services_secondary_color',
		array(
			'label'      => esc_html__( 'Secondary Color', 'health-coach-services' ),
			'section'    => 'health_coach_services_global_color_section',
			'settings'   => 'health_coach_services_secondary_color',
		) ) 
	);

	$wp_customize->add_setting( 'health_coach_services_tertiary_color',
		array(
		'default'           => '#f3c395',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'health_coach_services_tertiary_color',
		array(
			'label'      => esc_html__( 'Tertiary Color', 'health-coach-services' ),
			'section'    => 'health_coach_services_global_color_section',
			'settings'   => 'health_coach_services_tertiary_color',
		) ) 
	);

	/*Typography Options*/
	$wp_customize->add_section( 'health_coach_services_typography_section', array(
		'panel'       => 'health_coach_services_panel',
        'title'    => __( 'Typography Options', 'health-coach-services' ),
        'priority' => 2,
    ) );

    $wp_customize->add_setting( 'health_coach_services_font_family', array(
		'default'           => 'default',
		'sanitize_callback' => 'health_coach_services_sanitize_font_family',
	) );
	
	$wp_customize->add_control( 'health_coach_services_font_family', array(
		'label'    => __( 'Global Font Family', 'health-coach-services' ),
		'section'  => 'health_coach_services_typography_section',
		'type'     => 'select',
		'choices'  => array(
			'default'          => __( 'Default (Theme Font)', 'health-coach-services' ),
			'bad_script'       => 'Bad Script',
			'roboto'           => 'Roboto',
			'playfair_display' => 'Playfair Display',
			'open_sans'        => 'Open Sans',
			'lobster'          => 'Lobster',
			'merriweather'     => 'Merriweather',
			'oswald'           => 'Oswald',
			'raleway'          => 'Raleway',
			// Add new fonts here
			'poppins'            => 'Poppins',
			'lato'               => 'Lato',
			'source_sans_pro'    => 'Source Sans Pro',
			'quicksand'          => 'Quicksand',
			'nunito'             => 'Nunito',
			'montserrat'         => 'Montserrat',
			'roboto_condensed'   => 'Roboto Condensed',
			'playfair_display_sc'=> 'Playfair Display SC',
			'alegreya'           => 'Alegreya',
			'fira_sans'          => 'Fira Sans',
		),
	) );


	/*
	* Customizer main header section
	*/

	/*Main Header Options*/
	$wp_customize->add_section('health_coach_services_header_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Header Options', 'health-coach-services'),
		'panel'       => 'health_coach_services_panel',
	));

	$wp_customize->add_setting(
		'health_coach_services_header_search',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => false,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_header_search',
		array(
			'label'       => __('Enable Disable Search', 'health-coach-services'),
			'description' => __('Enable or Disable header Search', 'health-coach-services'),
			'section'     => 'health_coach_services_header_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Header Phone Text*/
	$wp_customize->add_setting(
		'health_coach_services_header_info_email',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'healthcoach@example.com',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'health_coach_services_header_info_email',
		array(
			'label'       => __('Edit Email Address ', 'health-coach-services'),
			'section'     => 'health_coach_services_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('health_coach_services_header_mail_icon',array(
		'default'	=> 'fas fa-envelope',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Health_Coach_Services_Icon_Changer(
        $wp_customize,'health_coach_services_header_mail_icon',array(
		'label'	=> __('Mail Icon','health-coach-services'),
		'transport' => 'refresh',
		'section'	=> 'health_coach_services_header_section',
		'type'		=> 'icon'
	)));

	/*Main Header Phone Text*/
	$wp_customize->add_setting(
		'health_coach_services_header_info_phone',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '+123 456 7890',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'health_coach_services_header_info_phone',
		array(
			'label'       => __('Edit Phone Number ', 'health-coach-services'),
			'section'     => 'health_coach_services_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('health_coach_services_header_phone_icon',array(
		'default'	=> 'fas fa-phone',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Health_Coach_Services_Icon_Changer(
        $wp_customize,'health_coach_services_header_phone_icon',array(
		'label'	=> __('Phone Number Icon','health-coach-services'),
		'transport' => 'refresh',
		'section'	=> 'health_coach_services_header_section',
		'type'		=> 'icon'
	)));

	/*Facebook Link*/
	$wp_customize->add_setting(
		'health_coach_services_facebook_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_facebook_link_option',
		array(
			'label'       => __('Edit Facebook Link', 'health-coach-services'),
			'section'     => 'health_coach_services_header_section',
			'type'        => 'url',
		)
	);

	/*Twitter Link*/
	$wp_customize->add_setting(
		'health_coach_services_twitter_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_twitter_link_option',
		array(
			'label'       => __('Edit Twitter Link', 'health-coach-services'),
			'section'     => 'health_coach_services_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'health_coach_services_pinterest_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'health_coach_services_pinterest_link_option',
		array(
			'label'       => __('Edit Pinterest Link', 'health-coach-services'),
			'section'     => 'health_coach_services_header_section',
			'type'        => 'url',
		)
	);

	/*Instagram Link*/
	$wp_customize->add_setting(
		'health_coach_services_instagram_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_instagram_link_option',
		array(
			'label'       => __('Edit Instagram Link', 'health-coach-services'),
			'section'     => 'health_coach_services_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'health_coach_services_youtube_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'health_coach_services_youtube_link_option',
		array(
			'label'       => __('Edit Youtube Link', 'health-coach-services'),
			'section'     => 'health_coach_services_header_section',
			'type'        => 'url',
		)
	);

	// Add Setting for Menu Text Transform
    $wp_customize->add_setting( 'health_coach_services_menu_text_transform', array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'uppercase',
        'sanitize_callback' => 'health_coach_services_sanitize_choices'
    ) );

    // Add Control for Menu Text Transform
    $wp_customize->add_control( 'health_coach_services_menu_text_transform', array(
        'label'    => __( 'Menu Text Transform', 'health-coach-services' ),
        'section'  => 'health_coach_services_header_section',
        'type'     => 'select',
        'choices'  => array(
            'none'       => __( 'None', 'health-coach-services' ),
            'capitalize' => __( 'Capitalize', 'health-coach-services' ),
            'uppercase'  => __( 'Uppercase', 'health-coach-services' ),
            'lowercase'  => __( 'Lowercase', 'health-coach-services' ),
        ),
    ) );

	/*
	* Customizer main slider section
	*/
	/*Main Slider Options*/
	$wp_customize->add_section('health_coach_services_slider_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Slider Options', 'health-coach-services'),
		'panel'       => 'health_coach_services_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'health_coach_services_enable_slider',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_enable_slider',
		array(
			'label'       => __('Enable Main Slider', 'health-coach-services'),
			'description' => __('Checked to show the main slider', 'health-coach-services'),
			'section'     => 'health_coach_services_slider_section',
			'type'        => 'checkbox',
		)
	);

	for ($i=1; $i <= 3; $i++) { 

		/*Main Slider Image*/
		$wp_customize->add_setting(
			'health_coach_services_slider_image'.$i,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'health_coach_services_slider_image'.$i, 
				array(
			        'label' => __('Edit Slider Image ', 'health-coach-services') .$i,
			        'description' => __('Edit the slider image.', 'health-coach-services'),
			        'section' => 'health_coach_services_slider_section',
				)
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'health_coach_services_slider_top_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'health_coach_services_slider_top_text'.$i,
			array(
				'label'       => __('Edit Slider Top Text ', 'health-coach-services') .$i,
				'description' => __('Edit the slider Top text.', 'health-coach-services'),
				'section'     => 'health_coach_services_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'health_coach_services_slider_heading'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'health_coach_services_slider_heading'.$i,
			array(
				'label'       => __('Edit Heading Text ', 'health-coach-services') .$i,
				'description' => __('Edit the slider heading text.', 'health-coach-services'),
				'section'     => 'health_coach_services_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Content*/
		$wp_customize->add_setting(
			'health_coach_services_slider_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'health_coach_services_slider_text'.$i,
			array(
				'label'       => __('Edit Content Text ', 'health-coach-services') .$i,
				'description' => __('Edit the slider content text.', 'health-coach-services'),
				'section'     => 'health_coach_services_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 Text*/
		$wp_customize->add_setting(
			'health_coach_services_slider_button1_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);
		$wp_customize->add_control(
			'health_coach_services_slider_button1_text'.$i,
			array(
				'label'       => __('Edit Button #1 Text ', 'health-coach-services') .$i,
				'description' => __('Edit the slider button text.', 'health-coach-services'),
				'section'     => 'health_coach_services_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'health_coach_services_slider_button1_link'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'health_coach_services_slider_button1_link'.$i,
			array(
				'label'       => __('Edit Button #1 URL ', 'health-coach-services') .$i,
				'description' => __('Edit the slider button url.', 'health-coach-services'),
				'section'     => 'health_coach_services_slider_section',
				'type'        => 'url',
			)
		);
	}

	/*
	* Customizer feature bike section
	*/
	/*Project Options*/
	$wp_customize->add_section('health_coach_services_products_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Our Product Options', 'health-coach-services'),
		'panel'       => 'health_coach_services_panel',
	));

	/*Project Enable Option*/
	$wp_customize->add_setting(
		'health_coach_services_enable_product_section',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_enable_product_section',
		array(
			'label'       => __('Enable Product Category Section', 'health-coach-services'),
			'description' => __('Checked to show the product section', 'health-coach-services'),
			'section'     => 'health_coach_services_products_section',
			'type'        => 'checkbox',
		)
	);

    /*Product Section Heading*/
    $wp_customize->add_setting(
        'health_coach_services_product_section_heading',
        array(
            'capability'        => 'edit_theme_options',
            'transport'         => 'refresh',
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'health_coach_services_product_section_heading',
        array(
            'label'       => __('Edit Section Heading', 'health-coach-services'),
            'description' => __('Edit product section heading', 'health-coach-services'),
            'section'     => 'health_coach_services_products_section',
            'type'        => 'text',
        )
    );

    $args = array(
       'type'      => 'product',
        'taxonomy' => 'product_cat'
    );
	$categories = get_categories($args);
		$cat_posts = array();
			$i = 0;
			$cat_posts[]='Select';
		foreach($categories as $category){
			if($i==0){
			$default = $category->slug;
			$i++;
		}
		$cat_posts[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('health_coach_services_product_category',array(
		'sanitize_callback' => 'health_coach_services_sanitize_choices',
	));
	$wp_customize->add_control('health_coach_services_product_category',array(
		'type'    => 'select',
		'choices' => $cat_posts,
		'label' => __('Select Product Category','health-coach-services'),
		'section' => 'health_coach_services_products_section',
	));

	/*
	* Customizer Footer Section
	*/
	/*Footer Options*/
	$wp_customize->add_section('health_coach_services_footer_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Footer Options', 'health-coach-services'),
		'panel'       => 'health_coach_services_panel',
	));

	/*Footer Enable Option*/
	$wp_customize->add_setting(
		'health_coach_services_enable_footer',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'health_coach_services_enable_footer',
		array(
			'label'       => __('Enable Footer', 'health-coach-services'),
			'description' => __('Checked to show Footer', 'health-coach-services'),
			'section'     => 'health_coach_services_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Footer bg image Option*/
	$wp_customize->add_setting('health_coach_services_footer_bg_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'health_coach_services_footer_bg_image',array(
        'label' => __('Footer Background Image','health-coach-services'),
        'section' => 'health_coach_services_footer_section',
    )));

	/** Footer bg Image Attachment */
    $wp_customize->add_setting('health_coach_services_background_attachment', array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'scroll',
        'sanitize_callback' => 'health_coach_services_sanitize_choices'
    ));

    $wp_customize->add_control('health_coach_services_background_attachment', array(
        'label'    => __('Footer Background Attachment', 'health-coach-services'),
        'section'  => 'health_coach_services_footer_section',
        'settings' => 'health_coach_services_background_attachment',
        'type'     => 'select',
        'choices'  => array(
            'fixed' => __('fixed','health-coach-services'),
            'scroll' => __('scroll','health-coach-services'),
        ),
    ));

	/*Footer Social Menu Option*/
	$wp_customize->add_setting(
		'health_coach_services_footer_social_menu',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_footer_social_menu',
		array(
			'label'       => __('Enable Footer Social Menu', 'health-coach-services'),
			'description' => __('Checked to show the footer social menu. Go to Dashboard >> Appearance >> Menus >> Create New Menu >> Add Custom Link >> Add Social Menu >> Checked Social Menu >> Save Menu.', 'health-coach-services'),
			'section'     => 'health_coach_services_footer_section',
			'type'        => 'checkbox',
		)
	);	

	/*Go To Top Option*/
	$wp_customize->add_setting(
		'health_coach_services_enable_go_to_top_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'health_coach_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_enable_go_to_top_option',
		array(
			'label'       => __('Enable Go To Top', 'health-coach-services'),
			'description' => __('Checked to enable Go To Top option.', 'health-coach-services'),
			'section'     => 'health_coach_services_footer_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('health_coach_services_go_to_top_position',array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'Right',
        'sanitize_callback' => 'health_coach_services_sanitize_choices'
    ));
    $wp_customize->add_control('health_coach_services_go_to_top_position',array(
        'type' => 'select',
        'section' => 'health_coach_services_footer_section',
        'label' => esc_html__('Go To Top Positions','health-coach-services'),
        'choices' => array(
            'Right' => __('Right','health-coach-services'),
            'Left' => __('Left','health-coach-services'),
            'Center' => __('Center','health-coach-services')
        ),
    ) );

	/*Footer Copyright Text Enable*/
	$wp_customize->add_setting(
		'health_coach_services_copyright_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'health_coach_services_copyright_option',
		array(
			'label'       => __('Edit Copyright Text', 'health-coach-services'),
			'description' => __('Edit the Footer Copyright Section.', 'health-coach-services'),
			'section'     => 'health_coach_services_footer_section',
			'type'        => 'text',
		)
	);
}
add_action( 'customize_register', 'Health_Coach_Services_Customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function Health_Coach_Services_Customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function Health_Coach_Services_Customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function Health_Coach_Services_Customize_preview_js() {
	wp_enqueue_script( 'health-coach-services-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), HEALTH_COACH_SERVICES_VERSION, true );
}
add_action( 'customize_preview_init', 'Health_Coach_Services_Customize_preview_js' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Health_Coach_Services_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $health_coach_services_instance = null;

		if ( is_null( $health_coach_services_instance ) ) {
			$health_coach_services_instance = new self;
			$health_coach_services_instance->setup_actions();
		}

		return $health_coach_services_instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $health_coach_services_manager
	 * @return void
	*/
	public function sections( $health_coach_services_manager ) {
		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/revolution/inc/section-pro.php' );

		// Register custom section types.
		$health_coach_services_manager->register_section_type( 'health_coach_services_Customize_Section_Pro' );

		// Register sections.
		$health_coach_services_manager->add_section( new Health_Coach_Services_Customize_Section_Pro( $health_coach_services_manager,'health_coach_services_go_pro', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Health Coach Services Pro', 'health-coach-services' ),
			'pro_text' => esc_html__( 'Buy Pro', 'health-coach-services' ),
			'pro_url'    => esc_url( HEALTH_COACH_SERVICES_BUY_NOW ),
		) )	);

		// Register sections.
		$health_coach_services_manager->add_section( new Health_Coach_Services_Customize_Section_Pro( $health_coach_services_manager,'health_coach_services_lite_documentation', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Lite Documentation', 'health-coach-services' ),
			'pro_text' => esc_html__( 'Instruction', 'health-coach-services' ),
			'pro_url'    => esc_url( HEALTH_COACH_SERVICES_LITE_DOC ),
		) )	);

		$health_coach_services_manager->add_section( new Health_Coach_Services_Customize_Section_Pro( $health_coach_services_manager, 'health_coach_services_live_demo', array(
		    'priority'   => 1,
		    'title'      => esc_html__( 'Pro Theme Demo', 'health-coach-services' ),
		    'pro_text'   => esc_html__( 'Live Preview', 'health-coach-services' ),
		    'pro_url'    => esc_url( HEALTH_COACH_SERVICES_LIVE_DEMO ),
		) ) );	
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'health-coach-services-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'health-coach-services-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Health_Coach_Services_Customize::get_instance();